# UnassignNetworkInterfaceIpv4

## 1. 接口描述

本接口(UnassignNetworkInterfaceIpv4)用于将网卡上的内网IPv4地址解绑。

{% hint style="info" %}
**注意事项**

* 网卡上的默认IP (即第一个内网IP地址)无法解绑。
* 当网卡存在弹性IP时，无法解绑网卡上的内网IP。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型              | 描述                                                                                                  |
| ---------------- | -- | --------------- | --------------------------------------------------------------------------------------------------- |
| nicId            | 是  | String          | 网卡ID。                                                                                               |
| ipAddress \[已废弃] | 否  | String          | <p>需要解绑的IPv4地址。</p><p>该字段已过时，请使用<code>ipAddresses</code>，如果两者均指定， 则以<code>ipAddresses</code>为准。</p> |
| ipAddresses      | 否  | Array of String | 需要解绑的内网IPv4地址。                                                                                      |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 网卡解绑内网IPv4地址。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassignNetworkInterfaceIpv4
<Common Request Params>

Request：
{
  "nicId": "<nicId>",
  "ipAddresses": ["10.0.0.2"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                         | 说明                      |
| ------- | ------------------------------------------- | ----------------------- |
| 409     | INVALID\_NIC\_LB\_ASSOCIATED                | 关联负载均衡器作为后端服务IP地址，无法操作。 |
| 404     | INVALID\_NIC\_NOT\_FOUND                    | 网卡不存在。                  |
| 409     | INVALID\_NIC\_PRIMARY\_IP\_CANT\_DETACH     | 网卡主IP无法解绑。              |
| 400     | INVALID\_NIC\_STATUS                        | 当前网卡状态无法进行操作。           |
| 409     | INVALID\_NIC\_HAS\_PUBLIC\_IP\_CANT\_DETACH | 网卡IP地址关联着公网弹性IP,无法操作。   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vnic/unassignnetworkinterfaceipv4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
